Page MenuHomeFreeBSD

pf: Remove partial RFC2675 support
ClosedPublic

Authored by kristof on Jul 27 2019, 1:32 PM.

Details

Reviewers
thj
Group Reviewers
network
Commits
rS350414: pf: Remove partial RFC2675 support
Summary

Remove our (very partial) support for RFC2675 Jumbograms. They're not
used, not actually supported and not a good idea.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kristof created this revision.Jul 27 2019, 1:32 PM
kristof added a reviewer: thj.Jul 27 2019, 1:32 PM
kristof set the repository for this revision to rS FreeBSD src repository.
thj added inline comments.Jul 28 2019, 4:49 PM
sys/netpfil/pf/pf_norm.c
1237 ↗(On Diff #60194)

if we don't support jumbo, shouldn't we just drop any packet with the jumbo option? i.e.

case IP6OPT_JUMP: goto drop

and then we can remove all this handling?

kristof updated this revision to Diff 60218.Jul 28 2019, 7:44 PM

Remove more bits, as suggested by thj

kristof marked an inline comment as done.Jul 28 2019, 7:45 PM
thj accepted this revision.Jul 28 2019, 8:01 PM
This revision is now accepted and ready to land.Jul 28 2019, 8:01 PM
ae added a subscriber: ae.Jul 29 2019, 10:20 AM

Does this mean that you concluded in the IETF mailing list to drop this support?

This revision was automatically updated to reflect the committed changes.
In D21086#457948, @ae wrote:

Does this mean that you concluded in the IETF mailing list to drop this support?

I listened in to the relevant session in the IETF meeting, and while I don't know if there was a firm conclusion even those opposing moving RFC2675 to historic status were very clear that its implementation is optional, and it's entirely okay to not support it.